# Function Struct Reference
[Function objects]

`#include <Function.h>`

## Detailed Description

Allows a boost/TR1 like usage of Functor.

Usage

- free functions: e.g.

       Function<int(int,int)> f(&freeFunction);

- member functions: e.g

       Function<int()> f(&object,&ObjectType::memberFunction);

see also test/Function/FunctionTest.cpp (the modified test program from boost)

The documentation for this struct was generated from the following file:

- Function.h